std::weak_ptr< _Tp > Class Template Reference
Pointer Abstractions

Inherits std::__weak_ptr< _Tp, _Lp >.

## Public Types

typedef _Tp | element_type

## Public Member Functions

template<typename _Tp1 , typename = typename std::enable_if<std::is_convertible<_Tp1*, _Tp*>::value>::type>
| weak_ptr (const weak_ptr< _Tp1 > &__r) noexcept
template<typename _Tp1 , typename = typename std::enable_if<std::is_convertible<_Tp1*, _Tp*>::value>::type>
| weak_ptr (const shared_ptr< _Tp1 > &__r) noexcept
bool | expired () const noexcept
shared_ptr< _Tp > | lock () const noexcept
template<typename _Tp1 >
weak_ptr & | operator= (const weak_ptr< _Tp1 > &__r) noexcept
template<typename _Tp1 >
weak_ptr & | operator= (const shared_ptr< _Tp1 > &__r) noexcept
template<typename _Tp1 >
bool | owner_before (const __shared_ptr< _Tp1, _Lp > &__rhs) const
template<typename _Tp1 >
bool | owner_before (const __weak_ptr< _Tp1, _Lp > &__rhs) const
void | reset () noexcept
void | swap (__weak_ptr &__s) noexcept
long | use_count () const noexcept

## Detailed Description

### template<typename _Tp>
class std::weak_ptr< _Tp >

A smart pointer with weak semantics.

With forwarding constructors and assignment operators.

Definition at line 467 of file shared_ptr.h.

The documentation for this class was generated from the following file:

- shared_ptr.h